Subject: Re: bug#54536: 29.0.50; Improve ERC's handling of multiline prompt input

From: Matheus Fillipe <[email-masked]>
Date: Sun, 3 Apr 2022 17:15:21 -0300

So far the patches seem to have fixed the issue I long had sending empty lines randomly.

Here are my replies to your questions.
1) erc-send-whitespace-lines was set to nil
2) Hmm no I don't have nothing quite unusual on erc that i can think of now. I have erc-nl-nicks.
3) Yes exactly nothing unusual about that.
4) I will since it seems to have "fixed" the issue so far. I will keep that in mind in case it happens again.

That one case was the only until now. Didn't happen again and I've tried to reproduce but would never happen, so I'm not sure if it really matters. I will keep testing.
On Apr 3 2022, at 4:44 pm, J.P. <[email-masked]> wrote:
> Matheus Fillipe <[email-masked]> writes:
>
> > I've been testing this and as an evil-mode user I had a problem that
> > whenever I paste something or sometimes just out of the blue I would
> > send one empty line after my message. After a few hours using erc this
> > it only happened once but Im not able to reproduce it so... I think
> > this is a great addition and it solves my problem!
>
> Appreciate the feedback! (Although, we ought not settle for "it
> only happened once," if we can help it.) A few silly questions:
>
> 1. In your testing, what was the value of `erc-send-whitespace-lines'?
> 2. Do you have any unusual bindings or minor modes going (other than
> Evil)? Just asking to try and gauge whether it's worth doing
> something like an emacs -Q.
>
> 3. How do you send input normally? For example: switch to insert state,
> type stuff after the prompt, hit RET. Just asking in case I try
> recreating your setup.
>
> 4. Are you willing to keep testing it? If so and it happens again, can
> you try a `view-lossage' and maybe also a `report-emacs-bug', and
> just copy-paste all the generated facts into a reply?
>
> BTW, I guess the "reply" button on the MHonArc-generated bug-gnu-emacs
> pages doesn't do a "reply all" (or else there's some trick I don't know
> about to get it to include Cc participants).
>